Funnels

Update Funnel

PATCH
/v0/projects/{idOrSlug}/funnels/{funnelId}

Authorization

apiKeyAuth
headerx-api-key<token>

FastStats API key. Pass it in the x-api-key header or as a Bearer token in the Authorization header.

Path Parameters

idOrSlug*string
funnelId*string

Request Body

application/json
  1. body
name?string|null
description?string|null|null
steps?array<>|null
exclusions?array<>|null
holdProperty?string|null|null
conversionWindowSeconds?number||null
strictOrder?boolean|null
timeRangeSeconds?number||null
dashboardId?string|null|null
folderId?string|null|null
notebookId?string|null|null
position?|null|null
display?|null

Response Body

FunnelRecord

application/json
  1. response
id*string
projectId*string
name*string
description*string|null
steps*array<>
exclusions*array<>
holdProperty*string|null
unsupportedSteps?boolean|null
conversionWindowSeconds*number|
strictOrder*boolean
timeRangeSeconds*number|
dashboardId*string|null
folderId*string|null
notebookId?string|null|null
position*|null
display*string
Value in"steps""trend""metric"
createdAt*string
updatedAt*string
Example Request
curl -X PATCH 'https://api.faststats.dev/v0/projects/string/funnels/string' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
{  "id": "string",  "projectId": "string",  "name": "string",  "description": "string",  "steps": [    {      "type": "event",      "id": "string",      "name": "string",      "match": "all",      "filters": [        {          "field": "string",          "operator": "equals",          "value": "string"        }      ]    }  ],  "exclusions": [    {      "type": "event",      "id": "string",      "name": "string",      "match": "all",      "filters": [        {          "field": "string",          "operator": "equals",          "value": "string"        }      ]    }  ],  "holdProperty": "string",  "unsupportedSteps": true,  "conversionWindowSeconds": 0,  "strictOrder": true,  "timeRangeSeconds": 0,  "dashboardId": "string",  "folderId": "string",  "notebookId": "string",  "position": {    "x": 0,    "y": 0,    "w": 0,    "h": 0  },  "display": "steps",  "createdAt": "string",  "updatedAt": "string"}